phpMyAdmin 提示“配置文件现在需要一个短语密码”?

目录 Linux, PHP

强迫症犯了,进入 phpMyAdmin 之后有“配置文件现在需要一个短语密码。”的红色警叹提示。

根据官方的解释,phpMyAdmin 官网的新版本为了增强安全性,需要在配置文件设置一个短语密码。

设置短语密码

修改phpMyAdmin/libraries/config.default.php文件

$cfg[‘blowfish_secret’] = ”; 改成 $cfg[‘blowfish_secret’] = ‘123456’;

其中 123456 为随机字符,按提示应生成并填写 32 位随机字符。

修改 phpMyAdmin/config.sample.inc.php 文件

$cfg[‘blowfish_secret’] = ”; 改成 $cfg[‘blowfish_secret’] = ‘123456’;

这个密码用于 Cookies 的加密,其中 123456 为随机字符,按提示应生成并填写 32 位随机字符。

暂无评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据